Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231478 - CVE-2007-1002 evolution format string flaw
Summary: CVE-2007-1002 evolution format string flaw
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Matthew Barnes
QA Contact: Ben Levenson
URL:
Whiteboard: impact=moderate,source=secunia,report...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 16:48 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0158
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-03 12:30:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed patch (deleted)
2007-03-29 19:05 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0158 normal SHIPPED_LIVE Moderate: evolution security update 2007-05-03 12:30:55 UTC

Description Josh Bressers 2007-03-08 16:48:45 UTC
Ulf Harnhammar, Secunia Research, discovered a format string flaw in the way
evolution displays a memo's categories.  It is possible for an attacker to send
a specially crafted memo mail which could execute arbitrary code as the user
running evoluiton.  This memo must be accepted form the email, then later viewed
by the victim.  The attack requires a fair amount of user interaction to be
successful.

Comment 1 Josh Bressers 2007-03-22 13:38:19 UTC
This flaw is now public:
http://marc.info/?l=bugtraq&m=117449439201881&w=2

Comment 2 Josh Bressers 2007-03-29 19:05:41 UTC
Created attachment 151221 [details]
Proposed patch

Comment 3 Matthew Barnes 2007-03-29 20:12:26 UTC
Thanks Josh.  Just committed this upstream.

Working my way backwards through our distros...

Comment 4 Matthew Barnes 2007-03-30 17:08:18 UTC
Patch applied to evolution-2.8.0-33.0.1.el5.

Comment 15 Red Hat Bugzilla 2007-05-03 12:30:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0158.html



Note You need to log in before you can comment on or make changes to this bug.